Bug 11174 - BackupKey flapping test: r.out.result was WERR_INVALID_ACCESS, expected WERR_INVALID_PARAM
BackupKey flapping test: r.out.result was WERR_INVALID_ACCESS, expected WERR_...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.2.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-20 02:58 UTC by Andrew Bartlett
Modified: 2015-06-08 11:19 UTC (History)
2 users (show)

See Also:


Attachments
patch for master (2.22 KB, patch)
2015-03-20 03:03 UTC, Andrew Bartlett
no flags Details
4.2 patch cherry-picked from master (2.35 KB, patch)
2015-03-20 18:51 UTC, Andrew Bartlett
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2015-03-20 02:58:15 UTC
bug 11097 has introduced a flapping test:

UNEXPECTED(failure): samba4.rpc.backupkey with seal.backupkey.server_wrap_decrypt_wrong_r2(ad_dc_ntvfs)
REASON: Exception: Exception: ../source4/torture/rpc/backupkey.c:1926: r.out.result was WERR_INVALID_ACCESS, expected WERR_INVALID_PARAM: decrypt should fail with WERR_INVALID_PARAM

FAILED (1 failures, 0 errors and 0 unexpected successes in 0 testsuites)

A summary with detailed information can be found in:
  ./bin/ab/summary
Comment 1 Andrew Bartlett 2015-03-20 03:03:43 UTC
Created attachment 10894 [details]
patch for master

Patch for master submitted to the mailing list
Comment 2 Andrew Bartlett 2015-03-20 18:51:30 UTC
Created attachment 10900 [details]
4.2 patch cherry-picked from master
Comment 3 Karolin Seeger 2015-03-27 20:15:44 UTC
Pushed to autobuild-v4-2-test.
Comment 4 Karolin Seeger 2015-04-09 19:20:14 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-2-test.
Closing out bug report.

Thanks!